com.sun.grid.jgdi.configuration

## Interface ResourceQuotaRuleLimit

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ResourceQuotaRuleLimitImpl

      public interface ResourceQuotaRuleLimit
      extends GEObject

  Java representation of the cull object RQRL_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaRuleLimit class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `double` | `getDvalue()` Get the value of the dvalue attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getType()` Get the value of the type attribute.
    `ResourceUtilization` | `getUsage(int index)` Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `int` | `getUsageCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.util.List<ResourceUtilization>` | `getUsageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.lang.String` | `getValue()` Get the value of the value attribute.
    `boolean` | `isDynamic()` Get the value of the dynamic attribute.
    `boolean` | `isSetDvalue()` Determine if any dvalue attribute is set
    `boolean` | `isSetDynamic()` Determine if any dynamic attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `boolean` | `isSetUsage()` Determine if any usage attribute is set
    `boolean` | `isSetValue()` Determine if any value attribute is set
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setValue(java.lang.String aValue)` Set the value attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setValue

          void setValue(java.lang.String aValue)

      Set the value attribute.
      Parameters:
        `aValue` - the new value for the value attribute

    - #### getValue

          java.lang.String getValue()

      Get the value of the value attribute.
      Returns:
        the value of the value attribute

    - #### isSetValue

          boolean isSetValue()

      Determine if any value attribute is set
      Returns:
        `true` if the value attribute is set

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### getDvalue

          double getDvalue()

      Get the value of the dvalue attribute.
      Returns:
        the value of the dvalue attribute

    - #### isSetDvalue

          boolean isSetDvalue()

      Determine if any dvalue attribute is set
      Returns:
        `true` if the dvalue attribute is set

    - #### getUsageList

          java.util.List<ResourceUtilization> getUsageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceUtilization attributes

    - #### getUsageCount

          int getUsageCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### getUsage

          ResourceUtilization getUsage(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### isSetUsage

          boolean isSetUsage()

      Determine if any usage attribute is set
      Returns:
        `true` if the usage attribute is set

    - #### isDynamic

          boolean isDynamic()

      Get the value of the dynamic attribute.
      Returns:
        the value of the dynamic attribute

    - #### isSetDynamic

          boolean isSetDynamic()

      Determine if any dynamic attribute is set
      Returns:
        `true` if the dynamic attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.